/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.promotions;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.mangue.individu.EOHistoPromotion;

import com.webobjects.eointerface.EODisplayGroup;
import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class PromotionsOutilsView extends javax.swing.JPanel {


	private static final long serialVersionUID = -7770031412248058797L;

	protected EODisplayGroup eodPromouvables, eodPotentiels;
	protected ZEOTable myEOTablePromouvables, myEOTablePotentiels;
	protected ZEOTableModel myTableModelPromouvables, myTableModelPotentiels;
	protected TableSorter myTableSorterPromouvables, myTableSorterPotentiels;

    /** Creates new form TemplateJPanel */
    public PromotionsOutilsView(EODisplayGroup dgPromouvables, EODisplayGroup dgPotentiels) {

        eodPromouvables = dgPromouvables;
        eodPotentiels = dgPotentiels;
                
        initComponents();
        initGui();
        
    }

	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTablePromouvables = new javax.swing.JPanel();
        btnImprimerPromouvables = new javax.swing.JButton();
        btnExporterPromouvables = new javax.swing.JButton();
        viewTablePotentiels = new javax.swing.JPanel();
        popupFiltre = new javax.swing.JComboBox();
        btnExporterPotentiels = new javax.swing.JButton();
        btnImprimerPotentiels = new javax.swing.JButton();
        tfMessagePromouvables = new javax.swing.JLabel();
        tfMessagePotentiels = new javax.swing.JLabel();
        checkPromotionEchelon = new javax.swing.JCheckBox();
        btnDelPromouvable = new javax.swing.JButton();
        btnDelPotentiel = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        btnCalculer = new javax.swing.JButton();
        btnRefuserPromotion = new javax.swing.JButton();
        btnPromouvoir = new javax.swing.JButton();
        btnDetailPromouvable = new javax.swing.JButton();
        btnDetailPotentiel = new javax.swing.JButton();
        jPanel2 = new javax.swing.JPanel();
        popupAnnees = new javax.swing.JComboBox();
        popupTypes = new javax.swing.JComboBox();
        jLabel1 = new javax.swing.JLabel();
        popupGrades = new javax.swing.JComboBox();
        lblCondition = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();

        viewTablePromouvables.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTablePromouvables.setLayout(new java.awt.BorderLayout());

        btnImprimerPromouvables.setToolTipText("Imprimer la liste des arrêtés");

        btnExporterPromouvables.setToolTipText("Export des données");

        viewTablePotentiels.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTablePotentiels.setLayout(new java.awt.BorderLayout());

        popupFiltre.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        btnExporterPotentiels.setToolTipText("Export des données");

        btnImprimerPotentiels.setToolTipText("Imprimer la liste des arrêtés");

        tfMessagePromouvables.setForeground(new java.awt.Color(0, 0, 255));
        tfMessagePromouvables.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);

        tfMessagePotentiels.setForeground(new java.awt.Color(51, 51, 255));
        tfMessagePotentiels.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);

        checkPromotionEchelon.setText("Promotions d'échelon au cours de l'année");

        btnDelPromouvable.setToolTipText("Suppression de l'agent promouvable");
        btnDelPromouvable.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnDelPromouvableActionPerformed(evt);
            }
        });

        btnDelPotentiel.setToolTipText("Export des données");

        btnCalculer.setToolTipText("Calcul des promouvables");

        btnRefuserPromotion.setToolTipText("Passer cet agent en \"Potentiellement\" promouvable");

        btnPromouvoir.setToolTipText("Ajouter l'agent en tant que \"Promouvable\"");
        btnPromouvoir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnPromouvoirActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnRefuserPromotion, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 53, Short.MAX_VALUE)
                    .add(btnPromouvoir, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 53, Short.MAX_VALUE)
                    .add(btnCalculer, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 53, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(btnCalculer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(btnRefuserPromotion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 43, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnPromouvoir, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 42, Short.MAX_VALUE))
        );

        btnDetailPromouvable.setToolTipText("Export des données");
        btnDetailPromouvable.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnDetailPromouvableActionPerformed(evt);
            }
        });

        btnDetailPotentiel.setToolTipText("Export des données");

        popupAnnees.setFont(new java.awt.Font("Tahoma", 0, 12));
        popupAnnees.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        popupTypes.setFont(new java.awt.Font("Tahoma", 0, 12));
        popupTypes.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel1.setText("ANNEE :");

        popupGrades.setFont(new java.awt.Font("Tahoma", 0, 12));
        popupGrades.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        lblCondition.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        lblCondition.setForeground(new java.awt.Color(102, 102, 102));

        jLabel3.setForeground(new java.awt.Color(102, 102, 102));
        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Condition :");

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupAnnees, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jLabel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 157, Short.MAX_VALUE))
                .add(18, 18, 18)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(popupTypes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 158, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupGrades, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 360, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(lblCondition, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 524, Short.MAX_VALUE))
                .add(161, 161, 161))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(popupAnnees, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(popupTypes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(popupGrades, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(lblCondition, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3))
                .addContainerGap(13, Short.MAX_VALUE))
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(btnExporterPromouvables, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnImprimerPromouvables, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 135, Short.MAX_VALUE)
                                .add(tfMessagePromouvables, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 202, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(6, 6, 6))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(popupFiltre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 182, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 179, Short.MAX_VALUE)
                                .add(btnDetailPromouvable, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnDelPromouvable, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(viewTablePromouvables, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 415, Short.MAX_VALUE))
                        .add(10, 10, 10)
                        .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(btnExporterPotentiels, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnImprimerPotentiels, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(tfMessagePotentiels, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 203, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(checkPromotionEchelon, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 243, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 65, Short.MAX_VALUE)
                                .add(btnDetailPotentiel, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnDelPotentiel, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(viewTablePotentiels, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 362, Short.MAX_VALUE))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                    .add(btnDetailPotentiel, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, btnDetailPromouvable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 24, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, checkPromotionEchelon)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, popupFiltre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, btnDelPotentiel, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 24, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, btnDelPromouvable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 24, Short.MAX_VALUE))
                .add(6, 6, 6)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTablePotentiels, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 543, Short.MAX_VALUE)
                    .add(viewTablePromouvables, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 543, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(117, 117, 117)
                        .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(btnImprimerPromouvables, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnExporterPromouvables, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(layout.createSequentialGroup()
                            .add(tfMessagePromouvables, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(11, 11, 11)))
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(btnImprimerPotentiels, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnExporterPotentiels, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(tfMessagePotentiels, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    private void btnPromouvoirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnPromouvoirActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_btnPromouvoirActionPerformed

    private void btnDelPromouvableActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnDelPromouvableActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnDelPromouvableActionPerformed

    private void btnDetailPromouvableActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnDetailPromouvableActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnDetailPromouvableActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton btnCalculer;
    protected javax.swing.JButton btnDelPotentiel;
    protected javax.swing.JButton btnDelPromouvable;
    protected javax.swing.JButton btnDetailPotentiel;
    protected javax.swing.JButton btnDetailPromouvable;
    protected javax.swing.JButton btnExporterPotentiels;
    protected javax.swing.JButton btnExporterPromouvables;
    protected javax.swing.JButton btnImprimerPotentiels;
    protected javax.swing.JButton btnImprimerPromouvables;
    protected javax.swing.JButton btnPromouvoir;
    protected javax.swing.JButton btnRefuserPromotion;
    private javax.swing.JCheckBox checkPromotionEchelon;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JLabel lblCondition;
    private javax.swing.JComboBox popupAnnees;
    private javax.swing.JComboBox popupFiltre;
    private javax.swing.JComboBox popupGrades;
    private javax.swing.JComboBox popupTypes;
    private javax.swing.JLabel tfMessagePotentiels;
    private javax.swing.JLabel tfMessagePromouvables;
    protected javax.swing.JPanel viewTablePotentiels;
    protected javax.swing.JPanel viewTablePromouvables;
    // End of variables declaration//GEN-END:variables

    
    
    
    private void initGui() {

    	btnExporterPromouvables.setIcon(CocktailIcones.ICON_EXCEL_16);
    	btnExporterPotentiels.setIcon(CocktailIcones.ICON_EXCEL_16);
    	
    	btnImprimerPromouvables.setIcon(CocktailIcones.ICON_PRINTER_16);
    	btnImprimerPotentiels.setIcon(CocktailIcones.ICON_PRINTER_16);
    	
    	btnDelPromouvable.setIcon(CocktailIcones.ICON_DELETE);
    	btnDelPotentiel.setIcon(CocktailIcones.ICON_DELETE);
    	
    	btnDetailPromouvable.setIcon(CocktailIcones.ICON_LOUPE_16);
    	btnDetailPotentiel.setIcon(CocktailIcones.ICON_LOUPE_16);
    	btnDetailPromouvable.setToolTipText("Détail ancienneté");
    	btnDetailPotentiel.setToolTipText("Détail ancienneté");
    	
    	btnCalculer.setIcon(CocktailIcones.ICON_CALCULATE_16);    	
    	btnRefuserPromotion.setIcon(CocktailIcones.ICON_FLECHE_DROITE);
    	btnPromouvoir.setIcon(CocktailIcones.ICON_FLECHE_GAUCHE);
    	
    	popupGrades.removeAllItems();

    	popupFiltre.removeAllItems();
    	popupFiltre.addItem("*");
    	popupFiltre.addItem("Dossiers Remplis");
    	popupFiltre.addItem("Transmis Ministère");
    	popupFiltre.addItem("Promus");
    	popupFiltre.addItem("Refusés");

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn	col = new ZEOTableModelColumn(eodPromouvables, EOHistoPromotion.INDIVIDU_KEY+".identite", "Individus Promouvables", 150);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPromouvables, EOHistoPromotion.HPRO_STATUT_KEY, "Statut", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPromouvables, "libelleCorpsGradeDepart", "Pop.", 75);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPromouvables, EOHistoPromotion.HPRO_ECHELON_KEY, "Echelon", 40);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPromouvables, EOHistoPromotion.HPRO_DUREE_CORPS_KEY, "Anc. Corps", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPromouvables, EOHistoPromotion.HPRO_DUREE_GRADE_KEY, "Anc. Grade", 130);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPromouvables, EOHistoPromotion.HPRO_DUREE_ECHELON_KEY, "Anc. Echelon", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPromouvables, EOHistoPromotion.HPRO_DUREE_SERV_PUBLIC_KEY, "Anc. Serv. Publics", 130);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPromouvables, EOHistoPromotion.HPRO_DUREE_CATEG_SERV_PUBLICS_KEY, "Anc. Cat. Serv. Publics", 150);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
//    	col = new ZEOTableModelColumn(eodPromouvables, EOHistoPromotion.PARAM_PROMOTION_KEY+".description", "Conditions", 150);
//    	col.setAlignment(SwingConstants.LEFT);
//    	myCols.add(col);

		myTableModelPromouvables = new ZEOTableModel(eodPromouvables, myCols);
		myTableSorterPromouvables = new TableSorter(myTableModelPromouvables);

		myEOTablePromouvables = new ZEOTable(myTableSorterPromouvables);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterPromouvables.setTableHeader(myEOTablePromouvables.getTableHeader());		

		myEOTablePromouvables.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTablePromouvables.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTablePromouvables.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		myEOTablePromouvables.setAutoResizeMode(ZEOTable.AUTO_RESIZE_OFF);

		viewTablePromouvables.setLayout(new BorderLayout());
		viewTablePromouvables.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTablePromouvables.removeAll();
		viewTablePromouvables.add(new JScrollPane(myEOTablePromouvables), BorderLayout.CENTER);

		myCols = new Vector<ZEOTableModelColumn>();

    	col = new ZEOTableModelColumn(eodPotentiels, EOHistoPromotion.INDIVIDU_KEY+".identite", "Individus Potentiels", 150);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPotentiels, EOHistoPromotion.HPRO_STATUT_KEY, "Statut", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPotentiels, "libelleCorpsGradeDepart", "Pop.", 75);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPotentiels, EOHistoPromotion.HPRO_ECHELON_KEY, "Echelon", 40);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPotentiels, EOHistoPromotion.HPRO_DUREE_CORPS_KEY, "Anc. Corps", 150);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPotentiels, EOHistoPromotion.HPRO_DUREE_GRADE_KEY, "Anc. Grade", 150);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPotentiels, EOHistoPromotion.HPRO_DUREE_ECHELON_KEY, "Anc. Echelon", 150);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPotentiels, EOHistoPromotion.HPRO_DUREE_SERV_PUBLIC_KEY, "Anc. Serv. Publics", 150);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPotentiels, EOHistoPromotion.HPRO_DUREE_SERV_PUBLIC_KEY, "Anc. Cat. Serv. Publics", 150);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
//    	col = new ZEOTableModelColumn(eodPotentiels, EOHistoPromotion.PARAM_PROMOTION_KEY+".description", "Conditions", 150);
//    	col.setAlignment(SwingConstants.LEFT);
//    	myCols.add(col);
    	
		myTableModelPotentiels = new ZEOTableModel(eodPotentiels, myCols);
		myTableSorterPotentiels = new TableSorter(myTableModelPotentiels);

		myEOTablePotentiels = new ZEOTable(myTableSorterPotentiels);
		myTableSorterPotentiels.setTableHeader(myEOTablePotentiels.getTableHeader());		

		myEOTablePotentiels.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTablePotentiels.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTablePotentiels.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		myEOTablePotentiels.setAutoResizeMode(ZEOTable.AUTO_RESIZE_OFF);

		viewTablePotentiels.setLayout(new BorderLayout());
		viewTablePotentiels.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTablePotentiels.removeAll();
		viewTablePotentiels.add(new JScrollPane(myEOTablePotentiels), BorderLayout.CENTER);

		
    }

    public void setListeExercices(Integer[] listeExercices) {

        popupAnnees.removeAllItems();
        popupAnnees.addItem("");
        
        for (int i=0;i<listeExercices.length;i++) {
        	popupAnnees.addItem(listeExercices[i]);
        }        	
    }
    public void setListeTypes(NSArray liste) {

        popupTypes.removeAllItems();
        for (int i=0;i<liste.count()-1;i++)
        	popupTypes.addItem(liste.objectAtIndex(i));
    }
    public void setListePromotions(NSArray liste) {

        popupGrades.removeAllItems();
        for (int i=0;i<liste.count();i++)
        	popupGrades.addItem(liste.objectAtIndex(i));
    }

	public ZEOTable getMyEOTablePromouvables() {
		return myEOTablePromouvables;
	}

	public void setMyEOTablePromouvables(ZEOTable myEOTablePromouvables) {
		this.myEOTablePromouvables = myEOTablePromouvables;
	}

	public ZEOTable getMyEOTablePotentiels() {
		return myEOTablePotentiels;
	}

	public void setMyEOTablePotentiels(ZEOTable myEOTablePotentiels) {
		this.myEOTablePotentiels = myEOTablePotentiels;
	}

	public ZEOTableModel getMyTableModelPromouvables() {
		return myTableModelPromouvables;
	}

	public void setMyTableModelPromouvables(ZEOTableModel myTableModelPromouvables) {
		this.myTableModelPromouvables = myTableModelPromouvables;
	}

	public ZEOTableModel getMyTableModelPotentiels() {
		return myTableModelPotentiels;
	}

	public void setMyTableModelPotentiels(ZEOTableModel myTableModelPotentiels) {
		this.myTableModelPotentiels = myTableModelPotentiels;
	}

	public javax.swing.JButton getBtnCalculer() {
		return btnCalculer;
	}

	public void setBtnCalculer(javax.swing.JButton btnCalculer) {
		this.btnCalculer = btnCalculer;
	}

	public javax.swing.JButton getBtnDelPotentiel() {
		return btnDelPotentiel;
	}

	public void setBtnDelPotentiel(javax.swing.JButton btnDelPotentiel) {
		this.btnDelPotentiel = btnDelPotentiel;
	}

	public javax.swing.JButton getBtnDelPromouvable() {
		return btnDelPromouvable;
	}

	public javax.swing.JButton getBtnDetailPotentiel() {
		return btnDetailPotentiel;
	}

	public void setBtnDetailPotentiel(javax.swing.JButton btnDetailPotentiel) {
		this.btnDetailPotentiel = btnDetailPotentiel;
	}

	public void setBtnDelPromouvable(javax.swing.JButton btnDelPromouvable) {
		this.btnDelPromouvable = btnDelPromouvable;
	}

	public javax.swing.JButton getBtnExporterPotentiels() {
		return btnExporterPotentiels;
	}

	public void setBtnExporterPotentiels(javax.swing.JButton btnExporterPotentiels) {
		this.btnExporterPotentiels = btnExporterPotentiels;
	}

	public javax.swing.JButton getBtnExporterPromouvables() {
		return btnExporterPromouvables;
	}

	public void setBtnExporterPromouvables(
			javax.swing.JButton btnExporterPromouvables) {
		this.btnExporterPromouvables = btnExporterPromouvables;
	}

	public javax.swing.JButton getBtnImprimerPotentiels() {
		return btnImprimerPotentiels;
	}

	public void setBtnImprimerPotentiels(javax.swing.JButton btnImprimerPotentiels) {
		this.btnImprimerPotentiels = btnImprimerPotentiels;
	}

	public javax.swing.JButton getBtnImprimerPromouvables() {
		return btnImprimerPromouvables;
	}

	public void setBtnImprimerPromouvables(
			javax.swing.JButton btnImprimerPromouvables) {
		this.btnImprimerPromouvables = btnImprimerPromouvables;
	}

	public javax.swing.JButton getBtnPromouvoir() {
		return btnPromouvoir;
	}

	public void setBtnPromouvoir(javax.swing.JButton btnPromouvoir) {
		this.btnPromouvoir = btnPromouvoir;
	}

	public javax.swing.JButton getBtnRefuserPromotion() {
		return btnRefuserPromotion;
	}

	public void setBtnRefuserPromotion(javax.swing.JButton btnRefuserPromotion) {
		this.btnRefuserPromotion = btnRefuserPromotion;
	}

	public javax.swing.JCheckBox getCheckPromotionEchelon() {
		return checkPromotionEchelon;
	}

	public void setCheckPromotionEchelon(javax.swing.JCheckBox checkPromotionEchelon) {
		this.checkPromotionEchelon = checkPromotionEchelon;
	}

	public javax.swing.JComboBox getPopupAnnees() {
		return popupAnnees;
	}

	public void setPopupAnnees(javax.swing.JComboBox popupAnnees) {
		this.popupAnnees = popupAnnees;
	}

	public javax.swing.JComboBox getPopupFiltre() {
		return popupFiltre;
	}

	public void setPopupFiltre(javax.swing.JComboBox popupFiltre) {
		this.popupFiltre = popupFiltre;
	}

	public javax.swing.JComboBox getPopupGrades() {
		return popupGrades;
	}

	public void setPopupGrades(javax.swing.JComboBox popupGrades) {
		this.popupGrades = popupGrades;
	}

	public javax.swing.JComboBox getPopupTypes() {
		return popupTypes;
	}

	public void setPopupTypes(javax.swing.JComboBox popupTypes) {
		this.popupTypes = popupTypes;
	}

	public javax.swing.JLabel getTfMessagePotentiels() {
		return tfMessagePotentiels;
	}

	public void setTfMessagePotentiels(javax.swing.JLabel tfMessagePotentiels) {
		this.tfMessagePotentiels = tfMessagePotentiels;
	}

	public javax.swing.JLabel getTfMessagePromouvables() {
		return tfMessagePromouvables;
	}

	public void setTfMessagePromouvables(javax.swing.JLabel tfMessagePromouvables) {
		this.tfMessagePromouvables = tfMessagePromouvables;
	}

	public javax.swing.JButton getBtnDeltailPotentiel() {
		return btnDetailPotentiel;
	}

	public void setBtnDeltailPotentiel(javax.swing.JButton btnDeltailPotentiel) {
		this.btnDetailPotentiel = btnDeltailPotentiel;
	}

	public javax.swing.JButton getBtnDetailPromouvable() {
		return btnDetailPromouvable;
	}

	public void setBtnDetailPromouvable(javax.swing.JButton btnDetailPromouvable) {
		this.btnDetailPromouvable = btnDetailPromouvable;
	}

	public javax.swing.JLabel getLblCondition() {
		return lblCondition;
	}

	public void setLblCondition(javax.swing.JLabel lblCondition) {
		this.lblCondition = lblCondition;
	}

    
}
